# Class Dipoles

java.lang.Object
org.jmol.shape.Shape
org.jmol.shapespecial.Dipoles

public class Dipoles extends Shape

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`dipoleCount`
`Dipole[]`
`dipoles`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Dipoles()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndexFromName(String thisID)`
`Object`
`getProperty(String property, int index)`
`boolean`
`getPropertyData(String property, Object[] data)`
`Object`
`getShapeDetail()`
`String`
`getShapeState()`
`void`
`initShape()`
`void`
`setModelVisibilityFlags(BS bsModels)`
`void`
`setProperty(String propertyName, Object value, BS bs)`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getPropShape, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setProperties, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dipoleCount

public int dipoleCount

### dipoles

public Dipole[] dipoles

## Constructor Details

### Dipoles

public Dipoles()

## Method Details

### initShape

public void initShape()

Specified by:
  `initShape` in class `Shape`

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Specified by:
  `setProperty` in class `Shape`

### getPropertyData

public boolean getPropertyData(String property, Object[] data)

Overrides:
  `getPropertyData` in class `Shape`
Parameters:
  `property` -
  `data` -
Returns:
  true if serviced

### getProperty

public Object getProperty(String property, int index)

Overrides:
  `getProperty` in class `Shape`
Parameters:
  `property` -
  `index` -
Returns:
  true if serviced

### getIndexFromName

public int getIndexFromName(String thisID)

Overrides:
  `getIndexFromName` in class `Shape`
Parameters:
  `thisID` -
Returns:
  index

### getShapeDetail

public Object getShapeDetail()

Overrides:
  `getShapeDetail` in class `Shape`

### setModelVisibilityFlags

public void setModelVisibilityFlags(BS bsModels)

Overrides:
  `setModelVisibilityFlags` in class `Shape`
Parameters:
  `bsModels` -

### getShapeState

public String getShapeState()

Specified by:
  `getShapeState` in class `Shape`